Subject: [Srcomp] 3.2.2 Heterogeneous SID List text

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Wed, 12 May 2021 10:19:11 +0000

Hi team, below is the proposed text to add to section 3.2.2 for discussion today.

CRH and VSID require a binding SID with an additional SRv6 encapsulation to encode non-compressed segments in a single path.  VSID changes the interpretation of the SRH Segments Left field, which makes it capable of carrying only compressed segments.  CRH introduces a new routing header that cannot encode non-compressed segments in a way that they can be processed at non-CRH nodes.

CSID and UIDSR permit the encoding of, and processing of, any combination of compressed or non-compressed segments in a segment list of an SRH.  CSID makes use of the SRH, without modification, to encode CSIDs as 128 bits, supporting the use of non-compressed segments within the SRH.  UIDSR modifies the interpretation of the SRH Segments Left field at segment endpoint nodes to allow variable segment lengths within a segment list.

---

From: <[email-masked]>
Date: Thu, 13 May 2021 09:07:03 +0800 (CST)

Hi Team,

Please see that for UIDSR if the text can be:

UIDSR is as faithful as possible to the original definition of  the SRH Segments Left field at segment endpoint nodes, i.e.,  number of explicitly listed intermediate nodes (but not alwayse 128-bits items in SRH for compression case, similar with RFC6554) still to be visited before reaching the final destination, to allow variable segment lengths within a segment list.

Regards,

PSF

原始邮件

发件人：DarrenDukes(ddukes)
收件人：[email-masked];
日 期 ：2021年05月12日 18:19
主 题 ：[Srcomp] 3.2.2 Heterogeneous SID List text

--  
Srcomp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/srcomp

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Fri, 14 May 2021 03:34:54 +0000

Thanks ShaoFu How about a different suggestion:

UIDSR defines a segment type that modifies the SRH segments left field to support variable segment sizes within the segment list.

(Maybe Less text on why it does this and more on the mechanism?)

Darren

________________________________
From: [email-masked] <[email-masked]>
Sent: Wednesday, May 12, 2021 9:07:03 PM
To: Darren Dukes (ddukes) <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re:[Srcomp] 3.2.2 Heterogeneous SID List text

Hi Team,

Regards,

PSF

原始邮件
发件人：DarrenDukes(ddukes)
收件人：[email-masked];
日 期 ：2021年05月12日 18:19

---

From: <[email-masked]>
Date: Fri, 14 May 2021 12:01:45 +0800 (CST)

Agree, just add one more word to emphasize that we don't modify the definition:

UIDSR defines a segment type that modifies the value of SRH segments left field to support variable segment sizes within the segment list. 

PSF

原始邮件

发件人：DarrenDukes(ddukes)
收件人：彭少富10053815;
抄送人：[email-masked];
日 期 ：2021年05月14日 11:35
主 题 ：Re: [Srcomp] 3.2.2 Heterogeneous SID List text

Darren

--------------------------------------------------------------------------------

 

Hi Team,

 

 

Regards,

PSF

 

原始邮件

发件人：DarrenDukes(ddukes)
收件人：[email-masked];
日 期 ：2021年05月12日 18:19